%define upstream_name    Text-Sprintf-Named
%define upstream_version 0.0402

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Sprintf-like function with named conversions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildArch:  noarch

%description
Text::Sprintf::Named provides a sprintf equivalent with named conversions.
Named conversions are sprintf field specifiers (like '"%%s"' or '"%%4d'")
only they are associated with the key of an associative array of
parameters. So for example '"%%(name)s"' will emit the ''name'' parameter as
a string, and '"%%(num)4d"' will emit the ''num'' parameter as a variable
with a width of 4.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.200-6.mga6
+ Revision: 1035139
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.200-5.mga6
+ Revision: 950077
- Mageia 6 Mass Rebuild

* Wed Oct 22 2014 danf <danf> 0.40.200-4.mga5
+ Revision: 792396
- Fixed unescaped macros in package description

* Wed Oct 15 2014 umeabot <umeabot> 0.40.200-3.mga5
+ Revision: 745097
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.200-2.mga5
+ Revision: 686652
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.40.200-1.mga5
+ Revision: 581385
- update to 0.0402

* Fri Oct 18 2013 umeabot <umeabot> 0.40.100-3.mga4
+ Revision: 515632
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.100-2.mga3
+ Revision: 374185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.40.100-1.mga3
+ Revision: 255534
- update to 0.0401

* Fri Dec 16 2011 shlomif <shlomif> 0.30.100-1.mga2
+ Revision: 182762
- imported package perl-Text-Sprintf-Named


* Tue Jun 28 2011 cpan2dist 0.0301-1mga
- initial mageia release, generated with cpan2dist
